; 
;                                                                     
;                         Graphics engine by                          
;                          Cygnus & Lithium                           
;                                                                     
;                   Copyright(c) Delusions NZ 1996                    
;                                                                     
; 

.386p
.MODEL small,c

DGROUP  GROUP   _DATA

_TEXT   SEGMENT DWORD PUBLIC USE32 'CODE'
	ASSUME  CS:_TEXT ,DS:DGROUP,SS:DGROUP

; 

Public pos_scr_
Public set_mode_

; Macro to wait for the VGA vertical retrace. Waits once to make sure
; that if we are in a vert. ret. then this is completed before waiting
; for the next one.

WAITFORVGA  MACRO       
	push    edx
	push    eax
	mov     dx,3DAh

	in      al,dx
	test    al,8
	jnz     $-3

	in      al,dx
	test    al,8
	jz      $-3
	pop     eax
	pop     edx
ENDM

;
;--------------------------------- set_mode ---------------------------------
;
; Basic set mode routine
;
; void set_mode(int)
; AX: int mode
;
set_mode_ proc
	push	ebp
	mov	ebp,esp
	pushad
	
	int	10h		; set the video mode
	
	mov	dx,3d4h		; get rid of the cursor
	mov	al,0ah
	mov	ah,11111000b
	out	dx,ax
	
	popad
	pop	ebp
	ret
set_mode_ endp

;
;--------------------------------- Pos_scr ----------------------------------
;
; pos_scr routine
;
; AX: int x
; BX: int y
;
Pos_Scr_ proc
	push    ebp
	mov     ebp,esp
	pushad

	; eax = x value passed in regs
	; ebx = y value passed in regs
	
	push	bx		; Y-value saved for l8r (yum!)
	mov     cx,ax		; X-value
	and     cx,00000011b    ; Get finetune bits
		;  ^^^^^^- turns off these bits
		; and preserves Finetune bits in CX.

	; <<< Set Screen

	push    ax		; store x-val for l8r
	xor	dx,dx		; dx = 0 for remainder
	mov	ax,bx		; divide y by 16 to get actual
	mov	bx,16		; vid mem address
	div	bx		; 
	mov	bx,ax		; stick it back into bx  
	mov     ax,80           ; Byte per line
	mul     bx              ; * Y
	pop     bx		; recover the x-val into bx

	sar     bx,2            ; X / 4 sar in case we go negative
	add     bx,ax           ; BX  =  Total.

	mov     dx,3D4h
	mov     al,0Dh          ;<-Start address low(Lower 8 bits
				; of screen address)
	mov     ah,bl
	out     dx,ax

	mov     al,0Ch          ;<-Start address High(Higher 8 bits
				; of screen address)
	mov     ah,bh
	out     dx,ax
	
      ; <<< Set Screen

	pop	ax		; recover y_value
	mov	bx,16		; ok I know I could have got
	xor	dx,dx		; this earlier!
	div	bx		; dx = mod 16
	mov	ah,dl		; 0 - 16
	
	waitforvga
	cli
	
	mov	dx,3d4h		; set the preset row scan reg.
	mov	al,08
	out	dx,ax

	mov     dx,3DAh         ; Clear F/F
	in      al,dx
		
	mov     dx,3C0h
	mov     al,13h+32       ; Pel pan
	out     dx,al
	jmp     $+2             ; 250ns delay

	mov     al,cl           ; Saved finetune bits.
	shl     al,1
	out     dx,al
	sti
   
	popad
	pop     ebp
	ret
pos_scr_ endp

_TEXT ends

_DATA   SEGMENT DWORD PUBLIC USE32 'DATA'

; Put the variables in here!


_DATA   ENDS

end
