// 
//                                                                   
// >KB<                Keyboard Handler (Hardware IRQ9)              
// 28/04/95              Coding by: Lithium & Cygnus                 
//                                                                   
//                      Copyright(c) Delusions NZ 1995               
//                                                                   
// 

#include <stdio.h>
#include <stdlib.h>
#include <dos.h>

char    KB_ON    = 0; // if keyboard int hooked, = 1

unsigned int keypressed = 0;
void (__interrupt __far *OldKB) ();             // Old KB Handler
void (__interrupt __far *Oldtimer) ();

unsigned char KeyTbl[128];                      // one pos for each key.
unsigned int KeyData;                            // Last Scan Code read

// KeyTbl is a global table, if theres a 1 in the byte position it indicates
// that key is currently held down (ie: if 1 in pos 0x1Ch, then ENTER is
// held down)

void __interrupt __far ReaperKB()
 {
    KeyData = inp( 0x60 );
    outp ( 0x61, inp (0x61) | 0x80 );          // ack KB
    outp ( 0x61, inp (0x61) & 0x7F );          // clr KB

    if((KeyData & 0x80) != 0)
	{
		KeyTbl[(KeyData & 0x7f)] = 0;
	}
    else
	{
		keypressed = 1;
		KeyTbl[(KeyData & 0x7f)] = 1;
	}

    outp ( 0x20, 0x20 );                        // Signal EOI

	if (KeyTbl[1])          // esc key
	{
		set_mode(0x03);
		exit(EXIT_FAILURE);
	}

 }

// load the new interrupt handler, saving the ptr to the old one

void  SetKBHandler()
{
	OldKB = _dos_getvect(0x09);
	_dos_setvect(0x09, ReaperKB);
	KB_ON = 1;
}

// unload our KB Handler and load the original.

void  ResetKBHandler()
{
	_dos_setvect(0x09, OldKB);
	KB_ON = 0;
}

