[From NIGHTLIGHT 6(3), 1994. Copyright, The Lucidity Institute.]

==========================================================================
AN HOUR OF WAKEFULNESS BEFORE MORNING NAPS MAKES LUCIDITY MORE LIKELY
By Stephen LaBerge, Leslie Phillips, & Lynne Levitan
==========================================================================

MORNING NAPS provide us highly favorable circumstances for inducing 
lucid dreams. Two important factors are at work here: timing and 
wakefulness during sleep. (The term "nap" indicates that the target sleep 
period is immediately preceded by a period of wakefulness; "morning" 
indicates the relevant time-of-day.) A series of NightLight experiments 
exploring the relationships between napping, length of sleep, continuity 
of sleep, biological rhythms, and lucid dreaming, have repeatedly 
demonstrated a strong relationship between taking morning naps and 
increased likelihood of lucid dreaming. (1, 2, 3, 4)

Working from the premise that lucid dreaming is associated with 
increased REM propensity and REM intensity, both of which are typically at 
or near their peak late in the morning, the first of our nap studies, "The 
Best Time for Lucid Dreaming," (1) compared the following sleep schedules: 
a. Taking a two-hour nap two hours after getting up two hours early (i.e., 
taking a nap at the normal waking time) and b. Taking a two-hour nap 
starting four hours after getting up two hours early (i.e., taking a nap 
two hours later than the typical rising time) to assess their relative 
value in promoting lucid dreams. Overall, lucid dreams were 10 times more 
likely in the naps than the preceding nights. More lucid dreams per total 
dreams occurred in the two-hour delayed nap than in the four-hour delayed 
nap (an average of one lucid dream out of each two dreams versus one lucid 
dream out of each three dreams, respectively). Although the number of 
subjects in this study was not large enough for the differences between 
the two napping conditions to be statistically significant, it was very 
encouraging that these nap schedules showed much more effect on lucid 
dreaming than any of our previous studies of lucid dream induction by 
mental exercises.

Our second nap study, "Get Up Early, Take a Nap, Be Lucid," (2) 
compared three different sleep schedules, one each night. In the first 
schedule, Condition A, participants awakened 90 minutes before their 
normal waking time, stayed up for 90 minutes, and did a special MILD 
exercise for 10 minutes before falling back to sleep for a 90-minute nap. 
In the second sleep schedule, Condition B, participants also awakened 90 
minutes prior to their normal waking time, but then went right back to 
sleep after doing the MILD exercise for 10 minutes to finish a "normal" 
night's rest. In the third sleep schedule, Condition C, subjects slept 
their complete normal sleep time, woke up and did the MILD exercise, then 
returned to sleep for 90 extra minutes. In Condition A (delayed nap), 8% 
of participants had lucid dreams in the night, and 67% in the nap; none of 
the participants had lucid dreams in the night portion of Condition B 
("normal" sleep with MILD), and 33% in the nap; 17% of participants had 
lucid dreams in the night portion of Condition C (prolonged sleep), and 8% 
in the nap. In other words, Condition A (which included the delayed nap) 
was, by far, the sleep schedule most conducive to lucid dreaming, with a 
full two-thirds of participants recording lucid dreams under these 
circumstances. The results of this study indicated that there was 
something about the delayed sleep that greatly improved lucid dreaming 
ability, as the prolonged sleep in Condition C, which happened in the same 
time of the morning as the Condition A nap, was not associated with these 
elevated levels of lucidity.

The value of a period of wakefulness in promoting lucid dreaming has 
been known since the late 70s when LaBerge noted that certain activities 
"in the middle of the night" have been observed to increase the likelihood 
of lucid dreaming upon a subsequent return to sleep (3). Patricia 
Garfield, (4) for example, found that, in her case, "sexual intercourse 
during the middle of the night was often followed by a lucid dream." Scott 
Sparrow, in contrast, found that early morning meditation favored lucid 
dreaming (5). Additional anecdotes cited by LaBerge (3) indicated that 
early morning reading or writing was also favorable. The diversity of 
these activities suggested that it is not the particular activity, but the 
alert wakefulness that facilitates lucid dreaming during subsequent sleep. 
(3)

Following up on this observation, in our third experiment, "The Best 
Time for Lucid Dreaming: Naps, Mishaps, and Recaps," (6) we planned to 
study the effect of varying periods of wakefulness before naps (10 minutes 
versus 90 minutes), but due to an ambiguity in the instructions, many 
participants did not start their naps at the same time for the two 
conditions, confounding the impact of varying periods of a.m. wakefulness 
with changes in the circadian phase. Also, those who were asleep less time 
probably had less time in REM and, thus, less opportunity for lucid 
dreams. Despite these complications, we were able to effectively compare 
the first and second parts of sleep, which again showed a.m. naps to be 
much better than nights for lucid dreaming.

The fourth in our series of nap studies, reported in NightLight 4.4 
(7), compared lucid dreaming frequencies in morning and afternoon naps. 
The results were clearly in favor of morning naps. Nine of the eleven 
participants had more lucid dreams in morning naps. Two had the same 
number of lucid dreams in each napping condition. None had more lucid 
dreams in the afternoon than the morning. Time asleep, for both nap 
conditions, was approximately one hour. There were slightly fewer total 
dreams recalled from afternoon naps, but the difference was not of 
statistical significance. Hence, it seems that the different times of day 
must somehow be responsible for the varying levels of lucidity. 

In sum, past nap experiments demonstrate the great impact of morning 
naps in achieving lucid dreams, but leave questions such as the optimum 
amounts of sleep and wakefulness prior to the naps largely unanswered. The 
current study brings us one step closer to determining the ideal 
conditions for inducing lucid dreams by clarifying the effects of varying 
periods of wakefulness (10, 30, and 60 minutes) before morning naps.


THE PROCEDURE

Participants in the "Wakefulness During the Night: Aiming Towards the 
Perfect Lucid Dreaming Technique" experiment (8) followed three different 
sleep schedules, one on each night. In Condition A, they went to bed 50 
minutes past their regular bedtime, awoke 10 minutes before their regular 
rising time, read about lucid dreaming for 10 minutes, then returned to 
bed for a nap; once back in bed they set their alarm to awaken them in 90 
minutes, then practiced a modified MILD exercise for at least 10 minutes 
or until they fell asleep. In Condition B, they went to bed 30 minutes 
past their regular bedtime, awoke 30 minutes before their regular rising 
time, read about lucid dreaming for 30 minutes, then returned to bed for a 
nap; once back in bed they set their alarm to awaken them in 90 minutes, 
then practiced a modified MILD exercise for at least 10 minutes or until 
they fell asleep. In Condition C, participants went to bed at their 
regular bedtime, awoke 60 minutes before their regular rising time, read 
about lucid dreaming for 60 minutes, then returned to bed for a nap; once 
back in bed they set their alarm to awaken them in 90 minutes, then 
practiced a modified MILD exercise for at least 10 minutes or until they 
fell asleep. In other words, the three experimental conditions all allowed 
for the same lengths of time for sleep and napping and held constant the 
activity to be performed during the period of wakefulness (reading about 
lucid dreaming), but varied the amount of morning awake time before the 
naps. This allowed us to assess what impact varying lengths of wakefulness 
prior to morning naps might have on lucid dreaming.


RESULTS: STAY AWAKE LONGER 

Twenty-two people (12 males and 10 females) submitted acceptable data. 
(9) Ninety-five percent of them recalled one or more dreams per night. As 
a measure of their level of skill in achieving lucid dreams we had asked 
them how many lucid dreams they had recalled within the last six months, 
and in their best six months of lucid dreaming. Based on the data provided 
by the group, we would have expected an average of about one lucid dream 
approximately every seven nights for each participant if they were not 
involved in the special conditions of this study. Participants averaged 
one lucid dream every 36 nights during the nighttime portion of this 
study, and one lucid dream every 11 nights during the Condition A nap. 
However, dramatically higher rates were found in nap Conditions B and C. 
On average, participants experienced lucid dreams once every two nights in 
nap Condition B, and even more (once every 1.6 nights) in nap Condition C.

Participants reported a grand total of 424 dreams during this 
study--235 (55%) during nights and 189 (46%) during naps. Three of the 235 
nighttime dreams (1.3%) were lucid and 50 of the 189 nap dreams (27%) were 
lucid. In other words, although 55% of the total dreams were reported in 
the nights, the great majority (94%) of the lucid dreams occurred during 
naps. Of the 53 lucid dreams, seven were in Condition A (two during nights 
and five during nap periods following 10 minutes of wakefulness, 20 in 
Condition B (none during Condition B nights, and 20 in nap periods 
following 30 minutes of wakefulness), and 26 in Condition C (one in a 
Condition C night, and by far the highest number of all, 25, during the 
nap periods following 60 minutes of wakefulness). Nearly half (over 47%) 
of all lucid dreams from this experiment were reported to have taken place 
in morning nap periods following 60 minutes of wakefulness. In our current 
study five times as many participants had lucid dreams in morning naps 
after 60 minutes of wakefulness compared to naps after only 10 minutes of 
wakefulness.


DISCUSSION

Holding the other parameters of this study relatively constant allowed 
us to assess the impact of varying lengths of wakefulness (10, 30, and 60 
minutes) on lucid dreaming in a.m. naps. It appears there is something 
about the increased lengths of wakefulness that somehow better prepares 
the brain to become lucid in dreams.

Although five lucid dreams were reported in Condition A naps, 20 during 
Condition B naps, and 25 during Condition C naps, it is significant to 
note that of five participants in this study who reported lucid dreams in 
Condition A naps, four actually took at least 15 minutes beyond the 
minimum 10 minutes of required MILD time (or a total of at least 25 
minutes) to fall asleep. Hence, it may be that if these individuals had 
fallen asleep after only 10 minutes, they may have had even fewer than 
five lucid dreams during Condition A naps. Also, this may be yet another 
indication that longer periods of a.m. wakefulness are much more conducive 
to lucid dreaming.

Note the preceding statement regarding the relationship between 
increased wakefulness and increased lucid dreaming may have limits not 
tested in this study. In other words, we would not want to generalize this 
statement beyond the current findings for the three periods of wakefulness 
addressed in this study. It could be, for example, that 120 or 180 minutes 
of wakefulness may be no more effective, or even less effective, than 60 
minutes in bringing about the ideal condition for having lucid dreams. 
This issue will undoubtedly be of interest in future NightLight nap 
studies. 


CONCLUSION

Getting up an hour early, staying awake for an hour or more reading 
about lucid dreaming, doing MILD briefly, then taking a morning nap is an 
excellent means of achieving lucid dreams. This technique is one of the 
most powerful, promising means of achieving lucidity.


REFERENCES

(1) Levitan, L. (1990). The Best Time for Lucid Dreaming. NightLight 
2(3). (This experiment commenced in NightLight 2(1)).
(2) Levitan, L. (1991). Get Up Early, Take a Nap, Be Lucid. NightLight 
3(1). (This experiment commenced in NightLight 2(3)).
(3) LaBerge, S. (1980). Lucid dreaming as a learnable skill: A case 
study. Perceptual & Motor Skills, 51, 1039-1042.
(4) Garfield, P. (1975). Psychological determinants of the lucid dream 
state. Sleep Research, 4, 184.
(5) Sparrow, G. S. (1976). Lucid Dreaming: Dawning of the Clear Light. 
Virginia Beach: A. R. E. Press.
(6) Edelstein, J. & LaBerge, S. (1992). The Best Time for Lucid 
Dreaming: Naps, Mishaps, and Recaps. NightLight 4(2). (This experiment 
commenced in NightLight 3(4)).
(7) Levitan, L., LaBerge, S. & Dole, J. (1992). Morning Naps are Better 
than Afternoon Naps for Lucid Dreaming. NightLight 4(4). (This experiment 
commenced in NightLight 4(2)).
(8) LaBerge, S. (1994). Wakefulness During the Night: Aiming Towards 
the Perfect Lucid Dreaming Technique. NightLight 6(1).
(9) Twenty-eight people submitted data for this experiment. Six data 
sets were incomplete (typically missing lucid dream reports) or 
inconsistent, so results from 22 participants were used in this Research 
Update. 

